Update a Call
curl --request PATCH \
--url https://api.lemlist.com/api/calls/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"callStatus": "left-voicemail",
"duration": 45,
"recordingUrl": "https://recordings.dialer.example/8f2c1.mp3"
}
'import requests
url = "https://api.lemlist.com/api/calls/{id}"
payload = {
"callStatus": "left-voicemail",
"duration": 45,
"recordingUrl": "https://recordings.dialer.example/8f2c1.mp3"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callStatus: 'left-voicemail',
duration: 45,
recordingUrl: 'https://recordings.dialer.example/8f2c1.mp3'
})
};
fetch('https://api.lemlist.com/api/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/calls/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callStatus\": \"left-voicemail\",\n \"duration\": 45,\n \"recordingUrl\": \"https://recordings.dialer.example/8f2c1.mp3\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/calls/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'callStatus' => 'left-voicemail',
'duration' => 45,
'recordingUrl' => 'https://recordings.dialer.example/8f2c1.mp3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"_id": "act_Z8gP3xYq2bKd9mLn7",
"externalId": "trellus-8f2c1",
"contactId": "ctc_7Ks2PqW9mXb4Lc1Td",
"leadId": "lea_2Hn8VbQ4wRz6Ym3Jk",
"campaignId": "cam_5Fd9LpX2cVt7Nq8Wb",
"taskId": "opp_9Xw4RtY7kLm2Pq6Zc",
"userId": "usr_3Bv7GhT5nJk8Lm2Qx",
"direction": "outbound",
"from": "+33100000000",
"to": "+33612345678",
"startedAt": "2026-10-21T09:30:00.000Z",
"endedAt": "2026-10-21T09:30:45.000Z",
"duration": 45,
"callStatus": "left-voicemail",
"note": "Left a voicemail, call back Thursday.",
"phoneProvider": "api",
"provider": "trellus",
"hasRecording": false,
"hasTranscript": true,
"recordingUrl": null,
"transcriptUrl": "https://storage.example.com/api-tea_1-trellus-123/transcription.json?X-Amz-Expires=86400&X-Amz-Signature=…",
"createdAt": "2026-10-21T09:30:00.000Z"
}
}
Calls
Update a Call
Completes a call logged through the API with its status, note, duration, recording or transcript.
PATCH
/
calls
/
{id}
Update a Call
curl --request PATCH \
--url https://api.lemlist.com/api/calls/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"callStatus": "left-voicemail",
"duration": 45,
"recordingUrl": "https://recordings.dialer.example/8f2c1.mp3"
}
'import requests
url = "https://api.lemlist.com/api/calls/{id}"
payload = {
"callStatus": "left-voicemail",
"duration": 45,
"recordingUrl": "https://recordings.dialer.example/8f2c1.mp3"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callStatus: 'left-voicemail',
duration: 45,
recordingUrl: 'https://recordings.dialer.example/8f2c1.mp3'
})
};
fetch('https://api.lemlist.com/api/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/calls/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callStatus\": \"left-voicemail\",\n \"duration\": 45,\n \"recordingUrl\": \"https://recordings.dialer.example/8f2c1.mp3\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/calls/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'callStatus' => 'left-voicemail',
'duration' => 45,
'recordingUrl' => 'https://recordings.dialer.example/8f2c1.mp3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"_id": "act_Z8gP3xYq2bKd9mLn7",
"externalId": "trellus-8f2c1",
"contactId": "ctc_7Ks2PqW9mXb4Lc1Td",
"leadId": "lea_2Hn8VbQ4wRz6Ym3Jk",
"campaignId": "cam_5Fd9LpX2cVt7Nq8Wb",
"taskId": "opp_9Xw4RtY7kLm2Pq6Zc",
"userId": "usr_3Bv7GhT5nJk8Lm2Qx",
"direction": "outbound",
"from": "+33100000000",
"to": "+33612345678",
"startedAt": "2026-10-21T09:30:00.000Z",
"endedAt": "2026-10-21T09:30:45.000Z",
"duration": 45,
"callStatus": "left-voicemail",
"note": "Left a voicemail, call back Thursday.",
"phoneProvider": "api",
"provider": "trellus",
"hasRecording": false,
"hasTranscript": true,
"recordingUrl": null,
"transcriptUrl": "https://storage.example.com/api-tea_1-trellus-123/transcription.json?X-Amz-Expires=86400&X-Amz-Signature=…",
"createdAt": "2026-10-21T09:30:00.000Z"
}
}
Reach the call by the
_id the log answered, or by the externalId you sent. Only calls logged through POST /calls can be updated here: the status, the note and the media of a call made with the lemlist dialer, Aircall or Ringover are lemlist’s own, and such a call answers 404 CALLS_API_CALL_NOT_UPDATABLE even though GET /calls/{id} reads it.
The status, the note and the duration reach the CRM call. The recording is fetched in the background: read the call back with GET /calls/{id} until hasRecording turns true, and send the PATCH again with a reachable URL when it does not.Authorizations
Body
application/json
Was this page helpful?